--- title: "Get VM groups by Cluster Id" slug: "get-vm-groups-by-cluster-id-2" tags: ["Product Usage", "vIPS 11.1x", "vIPS"] updated: 2026-09-11T20:53:22Z published: 2026-09-11T20:53:22Z canonical: "docs.trellix.com/get-vm-groups-by-cluster-id-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get VM groups by Cluster Id This URL gets all the VM groups in a cluster. ### Resource URL GET /vmgroup ### Request Parameters Query Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `clusterId` | Cluster ID. You can use the `GET /cluster` method to get the details of all the clusters. | number | Yes | ### Response Parameters Following fields are returned in the response. | Field Name | Description | Data Type | | --- | --- | --- | | `success` | Indicates if the GET operation is successful. Value is set to `true` if the GET operation is successful. Value is set to `false` if the GET operation is not successful. | string | | `msg` | Not applicable | Not applicable | | `errMsg` | Not applicable | Not applicable | | `domainName` | Not applicable | Not applicable | | `data` | Details of the VM groups | array of objects | ****Request**** GET [https:///intruvert/webservice/api/v1/cloud/vmgroup?clusterId=8](https://<NSM_IP>/intruvert/webservice/api/v1/cloud/vmgroup?clusterId=8) ****Response**** ``` { "success": true, "msg": null, "errMsg": null, "domainName": null, "data": [ { "domainId": 0, "subscriberVMGroupId": 103, "groupName": "vmg1" }] } ```